commoble.databuddy.examplecontent

## Class FlavorTagSyncPacket

- java.lang.Object
- - commoble.databuddy.examplecontent.FlavorTagSyncPacket

    public class FlavorTagSyncPacket
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FlavorTagSyncPacket(java.util.Map<net.minecraft.util.ResourceLocation,java.util.Set<net.minecraft.util.ResourceLocation>> map)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FlavorTagSyncPacket` `decode(net.minecraft.network.PacketBuffer buffer)`
`void` `encode(net.minecraft.network.PacketBuffer buffer)`
`void` `onPacketReceived(java.util.function.Supplier<net.minecraftforge.fml.network.NetworkEvent.Context> contextGetter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlavorTagSyncPacket

    public FlavorTagSyncPacket(java.util.Map<net.minecraft.util.ResourceLocation,java.util.Set<net.minecraft.util.ResourceLocation>> map)

### Method Detail

#### encode

    public void encode(net.minecraft.network.PacketBuffer buffer)

#### decode

    public static FlavorTagSyncPacket decode(net.minecraft.network.PacketBuffer buffer)

#### onPacketReceived

    public void onPacketReceived(java.util.function.Supplier<net.minecraftforge.fml.network.NetworkEvent.Context> contextGetter)